Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zhfrk

scipy.linalg.lapack.zhfrk(n, k, alpha, a, beta, c[, transr, uplo, trans, overwrite_c]) = <fortran function zhfrk>

  Wrapper for `zhfrk`.

  Parameters:
    n input int
    k input int
    alpha input float
    a input rank-2 array(‘D’) with bounds (lda,ka)
    beta input float
    c input rank-1 array(‘D’) with bounds (nt)
  Returns:
    cout rank-1 array(‘D’) with bounds (nt) and c storage
  Other Parameters:
    transr input bytes, optional

      Default: ‘N’

    uplo input bytes, optional

      Default: ‘U’

    trans input bytes, optional

      Default: ‘N’

    overwrite_c input int, optional

      Default: 0